# rust-ureq.spec
# Generated by rust2rpm 21
%bcond_with check
%global debug_package %{nil}

%global crate ureq

Name:           rust-%{crate}
Version:        2.5.0
Release:        1%{?dist}.2
Summary:        Simple, safe HTTP client

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/ureq
Source:         https://crates.io/api/v1/crates/%crate/%version/download#/%crate-%version.crate

ExclusiveArch:  %{rust_arches}

BuildRequires:  cargo-rpm-macros
BuildRequires:  (crate(base64/default) >= 0.13.0 with crate(base64/default) < 0.14.0~)
BuildRequires:  (crate(chunked_transfer/default) >= 1.2.0 with crate(chunked_transfer/default) < 2.0.0~)
BuildRequires:  (crate(flate2/default) >= 1.0.22 with crate(flate2/default) < 2.0.0~)
BuildRequires:  (crate(log/default) >= 0.4.0 with crate(log/default) < 0.5.0~)
BuildRequires:  (crate(once_cell/default) >= 1.0.0 with crate(once_cell/default) < 2.0.0~)
BuildRequires:  (crate(rustls/default) >= 0.20.1 with crate(rustls/default) < 0.21.0~)
BuildRequires:  (crate(url/default) >= 2.0.0 with crate(url/default) < 3.0.0~)
BuildRequires:  (crate(webpki-roots/default) >= 0.22.0 with crate(webpki-roots/default) < 0.23.0~)
BuildRequires:  (crate(webpki/default) >= 0.22.0 with crate(webpki/default) < 0.23.0~)
%if %{with check}
BuildRequires:  (crate(env_logger/default) >= 0.9.0 with crate(env_logger/default) < 0.10.0~)
BuildRequires:  (crate(mbedtls/default) >= 0.8.1 with crate(mbedtls/default) < 0.9.0~)
BuildRequires:  (crate(rustls-pemfile/default) >= 1.0.0 with crate(rustls-pemfile/default) < 2.0.0~)
BuildRequires:  (crate(rustls/dangerous_configuration) >= 0.20.0 with crate(rustls/dangerous_configuration) < 0.21.0~)
BuildRequires:  (crate(rustls/default) >= 0.20.0 with crate(rustls/default) < 0.21.0~)
BuildRequires:  (crate(serde/default) >= 1.0.0 with crate(serde/default) < 2.0.0~)
BuildRequires:  (crate(serde/derive) >= 1.0.0 with crate(serde/derive) < 2.0.0~)
%endif

%global _description %{expand:
Simple, safe HTTP client.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/RELEASE.txt
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+brotli-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+brotli-devel %{_description}

This package contains library source intended for building other packages which
use the "brotli" feature of the "%{crate}" crate.

%files       -n %{name}+brotli-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+brotli-decompressor-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+brotli-decompressor-devel %{_description}

This package contains library source intended for building other packages which
use the "brotli-decompressor" feature of the "%{crate}" crate.

%files       -n %{name}+brotli-decompressor-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+charset-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+charset-devel %{_description}

This package contains library source intended for building other packages which
use the "charset" feature of the "%{crate}" crate.

%files       -n %{name}+charset-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+cookie-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+cookie-devel %{_description}

This package contains library source intended for building other packages which
use the "cookie" feature of the "%{crate}" crate.

%files       -n %{name}+cookie-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+cookie_store-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+cookie_store-devel %{_description}

This package contains library source intended for building other packages which
use the "cookie_store" feature of the "%{crate}" crate.

%files       -n %{name}+cookie_store-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+cookies-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+cookies-devel %{_description}

This package contains library source intended for building other packages which
use the "cookies" feature of the "%{crate}" crate.

%files       -n %{name}+cookies-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+encoding_rs-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+encoding_rs-devel %{_description}

This package contains library source intended for building other packages which
use the "encoding_rs" feature of the "%{crate}" crate.

%files       -n %{name}+encoding_rs-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+flate2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+flate2-devel %{_description}

This package contains library source intended for building other packages which
use the "flate2" feature of the "%{crate}" crate.

%files       -n %{name}+flate2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+gzip-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+gzip-devel %{_description}

This package contains library source intended for building other packages which
use the "gzip" feature of the "%{crate}" crate.

%files       -n %{name}+gzip-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+json-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+json-devel %{_description}

This package contains library source intended for building other packages which
use the "json" feature of the "%{crate}" crate.

%files       -n %{name}+json-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+native-certs-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+native-certs-devel %{_description}

This package contains library source intended for building other packages which
use the "native-certs" feature of the "%{crate}" crate.

%files       -n %{name}+native-certs-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+native-tls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+native-tls-devel %{_description}

This package contains library source intended for building other packages which
use the "native-tls" feature of the "%{crate}" crate.

%files       -n %{name}+native-tls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rustls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustls-devel %{_description}

This package contains library source intended for building other packages which
use the "rustls" feature of the "%{crate}" crate.

%files       -n %{name}+rustls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rustls-native-certs-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustls-native-certs-devel %{_description}

This package contains library source intended for building other packages which
use the "rustls-native-certs" feature of the "%{crate}" crate.

%files       -n %{name}+rustls-native-certs-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde_json-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde_json-devel %{_description}

This package contains library source intended for building other packages which
use the "serde_json" feature of the "%{crate}" crate.

%files       -n %{name}+serde_json-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+socks-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+socks-devel %{_description}

This package contains library source intended for building other packages which
use the "socks" feature of the "%{crate}" crate.

%files       -n %{name}+socks-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+socks-proxy-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+socks-proxy-devel %{_description}

This package contains library source intended for building other packages which
use the "socks-proxy" feature of the "%{crate}" crate.

%files       -n %{name}+socks-proxy-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tls-devel %{_description}

This package contains library source intended for building other packages which
use the "tls" feature of the "%{crate}" crate.

%files       -n %{name}+tls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+webpki-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+webpki-devel %{_description}

This package contains library source intended for building other packages which
use the "webpki" feature of the "%{crate}" crate.

%files       -n %{name}+webpki-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+webpki-roots-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+webpki-roots-devel %{_description}

This package contains library source intended for building other packages which
use the "webpki-roots" feature of the "%{crate}" crate.

%files       -n %{name}+webpki-roots-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Mon Jul 25 2022 Oleg Girko <ol@infoserver.lv> - 2.5.0-1
- Update to 2.5.0
* Tue Feb  8 2022 Oleg Girko <ol@infoserver.lv> - 2.4.0-1
- Initial package
